## org.apache.lucene.search.suggest
Class Lookup.LookupPriorityQueue

    java.lang.Object
      org.apache.lucene.util.PriorityQueue<Lookup.LookupResult>
          org.apache.lucene.search.suggest.Lookup.LookupPriorityQueue

Enclosing class:
  Lookup

    public static final class Lookup.LookupPriorityQueue

extends PriorityQueue<Lookup.LookupResult>

Constructor Summary
`Lookup.LookupPriorityQueue(int size)`

Method Summary
`Lookup.LookupResult[]` `getResults()`
`protected boolean` `lessThan(Lookup.LookupResult a, Lookup.LookupResult b)` Determines the ordering of objects in this priority queue.

Methods inherited from class org.apache.lucene.util.PriorityQueue
`add, clear, getHeapArray, getSentinelObject, initialize, insertWithOverflow, pop, size, top, updateTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lookup.LookupPriorityQueue

    public Lookup.LookupPriorityQueue(int size)

Method Detail

### lessThan

    protected boolean lessThan(Lookup.LookupResult a,
                               Lookup.LookupResult b)

  Description copied from class: `PriorityQueue`
  Determines the ordering of objects in this priority queue. Subclasses must define this one method.

  Specified by:
    `lessThan` in class `PriorityQueue<Lookup.LookupResult>`
  Returns:
    `true` iff parameter `a` is less than parameter `b`.

### getResults

    public Lookup.LookupResult[] getResults()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.